ED2K_GUI(1)

NAME
@PACKAGE@ - manual page for @PACKAGE@ @VERSION@

SYNOPSIS
@PACKAGE@ [OPTIONS] [ED2K-LINK-URL]

DESCRIPTION
GUI frontend for the Overnet and eDonkey2000 file-sharing command line clients.

REQUIREMENTS
This GUI requires an Overnet or eDonkey2000 command line client. See http://ed2k-gtk-gui.sourceforge.net/core.shtml for the latest versions.

If you start the command line client (=core) manually (instead of using the "spawn" option of the GUI), you will need to pass the "-" command line argument to the core and set up an admin username and password in the command line client with the "pass bob bobpass" command, otherwise the command line client will not listen for GUI connections on the admin port (=aport).

Also, at the time of writing (July 2003) the core does not follow *nix conventions, as it saves its configuration files always in the current working directory. That means that you should not put the core into /usr/bin or /usr/local/bin, but rather into its own ~/ed2k or ~/overnet directory, and that you should always change into that directory before starting the core from the command line.

OPTIONS
Usually you do not need to specify any command line options.

-n NUMBER
    The GUI instance. You can run multiple instances of the GUI at the same time. If you use the -n option, a separate configuration files will be used for each instance. This way you can have several pre-defined settings (e.g. for different cores on different machines) without having to change them in the Connect-to dialog all the time. Note: The Blacklist file and the filter list will be shared among all instances, unless you additionally specify separate configuration file paths for each instance with the -p option.

-p CONFIGPATH
    Specifies the path which should be used for configuration files. Defaults to ~/.ed2k_gui/

  ED2K-LINK-URL:

    If the GUI is passed a so-called "ed2k-link" on the command line, it will act as a link-handler instead of a GUI and either send the file link to already running instances of the GUI, or save it for later use (a dialog will pop up and ask the user). This function is usually only used by desktop-environment specific URL-handlers.

    "ed2k-links" uniquely identify a file on the eDonkey2000 and/or Overnet file-sharing networks by means of a file hash and the file size. These "ed2k-links" can be redistributed, and the recipient will always get exactly the file that the sender specified. You can create "ed2k-links" using the GUI ("write ed2k-link to clipboard") or an external tool like ed2k_hash (http://ed2k-tools.sourceforge.net).

    ed2k://|file|name.txt|938341|093abfa7ab8b4d1e83bfbf8001aafa1b|/

AUTHOR
This manual page was written by Tim-Philipp Müller <t.i.m@orange.net>.